Cygport Reference Manual

### TABLE OF CONTENTS

- vim.cygclass

- VIM
- VIMFILES
- viminto
- dovim
- newvim

## vim.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

DESCRIPTION

Vim is a text editor which is extensible through scripts written in its own Vimscript language.

This cygclass includes functions for installing Vim scripts.

## VIM

[ Top ] [ vim.cygclass ] [ Definitions ]

DESCRIPTION

Root data directory for the Vim editor.

NOTE

This is NOT the path to the Vim editor.

## VIMFILES

[ Top ] [ vim.cygclass ] [ Definitions ]

DESCRIPTION

Installation path for third-party Vim scripts.

## viminto

[ Top ] [ vim.cygclass ] [ Install Functions ]

SYNOPSIS

      viminto SUBDIRECTORY

DESCRIPTION

Subdirectory into which dovim and newvim should install. Subdirectories supported by Vim are:

- autoload: automatically loaded functions
- colors: color scheme scripts
- compiler: compiler scripts
- doc: documentation
- ftplugin: filetype plugins
- indent: indentation scripts
- keymap: key mapping scripts
- lang: translations
- plugin: automatically loaded plugins
- print: print encodings
- spell: spell checking dictionaries
- syntax: syntax highlighting scripts

A subdirectory may also be prefixed by "after/" if the scripts to be installed are meant to override those included in Vim.

## dovim

[ Top ] [ vim.cygclass ] [ Install Functions ]

SYNOPSIS

      viminto SUBDIRECTORY
      dovim SCRIPT [SCRIPT2] ...

DESCRIPTION

Installs the given Vim script(s) into the subdirectory of VIMFILES declared by the preceding call to viminto.

## newvim

[ Top ] [ vim.cygclass ] [ Install Functions ]

SYNOPSIS

      viminto SUBDIRECTORY
      newvim SCRIPT_FILE NEW_SCRIPT_NAME

DESCRIPTION

Installs the given Vim script into the subdirectory of VIMFILES declared by the preceding call to viminto, renaming it as indicated by the second argument.